# ElementVerticalSpace
Date: 2019-11-17

org.deidentifier.arx.certificate.elements

## Class ElementVerticalSpace

- java.lang.Object
- - org.deidentifier.arx.certificate.elements.ElementVerticalSpace

All Implemented Interfaces:
  Element

    public class ElementVerticalSpace
    extends java.lang.Object
    implements Element

PDF page break

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ElementVerticalSpace(int space)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementVerticalSpace

    public ElementVerticalSpace(int space)

Creates a new instance

Parameters:
  `space` -

### Method Detail

#### render

    public void render(rst.pdfbox.layout.elements.Document target,
                       int indent,
                       CertificateStyle style)
                throws java.io.IOException

Description copied from interface: `Element`
Renders the element to the given target

Specified by:
  `render` in interface `Element`
Throws:
  `java.io.IOException`